> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Applications Api Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/applications
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/applications:
    get:
      tags:
        - Applications API
      summary: List Applications Api Endpoint
      operationId: list_applications_api_endpoint_api_v1_org_applications_get
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListApplicationsResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListApplicationsResponse:
      properties:
        pagination:
          $ref: '#/components/schemas/ApplicationPagination'
        result:
          items:
            $ref: '#/components/schemas/ApplicationItem'
          title: Result
          type: array
      required:
        - result
        - pagination
      title: ListApplicationsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ApplicationPagination:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total_count:
          title: Total Count
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: ApplicationPagination
      type: object
    ApplicationItem:
      properties:
        analysis_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Analysis Status
        app_repo_branch:
          title: App Repo Branch
          type: string
        app_repo_name:
          title: App Repo Name
          type: string
        app_repo_owner:
          title: App Repo Owner
          type: string
        app_repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: App Repo Url
        chart_oci_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart Oci Url
        container_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Container Image Url
        created_at:
          title: Created At
          type: string
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        helm_repo_add_command:
          anyOf:
            - type: string
            - type: 'null'
          title: Helm Repo Add Command
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        pull_request_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Pull Request Url
        state:
          title: State
          type: string
        updated_at:
          title: Updated At
          type: string
      required:
        - id
        - name
        - state
        - app_repo_owner
        - app_repo_name
        - app_repo_branch
        - created_at
        - updated_at
      title: ApplicationItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````